export async function onBeforeRender(pageContext: PageContext) {
  const typePermissions = {
    appeal: [1 << 0, 1 << 1],
    gma: [1 << 5],
    report: [1 << 5],
  };
  const { searchParams } = new URL(
    pageContext.urlOriginal,
    "http://localhost:8788"
  );
  const includeClosed = searchParams.get("includeClosed");
  const type = searchParams.get("type");
  const sort = searchParams.get("sort") ?? "asc";

  return {
    pageContext: {
      pageProps: {},
    },
  };
}
